/*
 * Main.java
 * 
 */
package client;

import client.gui.JHiveFrame;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 * The main class for the graphical client.
 *
 * @author Martin Gross
 */
public class Main {

    /**
     * Creates the main frame of the user interface and makes it visible. The
     * GUI uses the look and feel most appropriate to the system, if possible.
     *
     * @param args command line arguments are ignored.
     */
    public static void main(String args[]) {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (ClassNotFoundException ex) {
            JOptionPane.showMessageDialog(null, "System default look and feel cannot be loaded.", "Error", JOptionPane.ERROR_MESSAGE);
        } catch (InstantiationException ex) {
            JOptionPane.showMessageDialog(null, "System default look and feel cannot be loaded.", "Error", JOptionPane.ERROR_MESSAGE);
        } catch (IllegalAccessException ex) {
            JOptionPane.showMessageDialog(null, "System default look and feel cannot be loaded.", "Error", JOptionPane.ERROR_MESSAGE);
        } catch (UnsupportedLookAndFeelException ex) {
            JOptionPane.showMessageDialog(null, "System default look and feel cannot be loaded.", "Error", JOptionPane.ERROR_MESSAGE);
        }
        final JFrame mainWindow = new JHiveFrame("Hive");
        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                mainWindow.setVisible(true);
            }
        });
    }
}
