/**
 * PieceData.java
 * 
 */
package client.ds;

import common.hive.PlayerColor;
import common.hive.PieceType;

/**
 * A class that stores the data used to display a piece on the graphical game
 * board.
 * @author Jan-Philipp Kappmeier
 */
public class PieceData {
	private int index;
	/** String for the image. Used for hashed access in the image collection. */
	private PieceType pieceType;
	private PlayerColor color;
	public int piecePosition;
	public boolean onTop;

	public PieceData( PieceType pieceType, PlayerColor color, int index ) {
		this.index = index;
		this.pieceType = pieceType;
		this.color = color;
	}

	public PlayerColor getColor() {
		return color;
	}

	public int getIndex() {
		return index;
	}

	public PieceType getPieceType() {
		return pieceType;
	}
}
