/*
 * GameFactory.java
 * 
 */
package common;

import client.ds.PieceData;
import client.gui.JHexagonTile;
import client.network.ServerCommand;
import common.interfaces.ClientHiveInterface;
import common.interfaces.HexFieldInterface;
import common.interfaces.HiveInterface;
import common.hexfield.CenteredHexField;

/**
 * A factory class that creates instances of the classes, which implement the 
 * given interfaces. Complete the methods here by creating the appropriate
 * instances of your model's classes, so that the GUI can work with them.
 * 
 * @author Martin Gross
 */
public class GameFactory {

    /**
     * Creates a new hive model that will exclusively used for online games.
     *
     * @param gameName the name of online game of the server.
     * @param command the server interface to use with the game.
     * @return an new hive model for online use.
     */
    public static ClientHiveInterface createNewClientHiveModel(String gameName, ServerCommand command) {
         return null;
    }
    
    /**
     * Creates a new hive model that will exclusively used for offline games and
     * replays.
     * 
     * @return an new hive model implementing the corresponding interface. 
     */
    public static HiveInterface createNewHiveModel() {
         return null;
    }

    /**
     * Creates a new field of hexagons with specified a number of rows, columns
     * and hexagon type. This is used by the GUI.
     *
     * @param rows the number of rows of the hex field.
     * @param columns the number of columns of the hex field.
     * @param aClass the class for the individual hexagons.
     * @return the new instance of the hex field.
     */
    public static HexFieldInterface<JHexagonTile> createNewHexField(int rows, int columns, Class<JHexagonTile> aClass) {
         return new CenteredHexField<PieceData, JHexagonTile>(rows, columns, JHexagonTile.class);
    }
}
