/**
 * DoubleArrayIterator.java
 * Created: 14.02.2011, 16:48:24
 */
package common.hexfield;

import java.util.Iterator;


/**
 *
 * @param <T>
 * @author Jan-Philipp Kappmeier
 */
public class DoubleArrayIterator<T> implements Iterator<T> {
	private int index = 0;
	private T[][] array;
	private int size;
	private int width;
	private T next;

	public DoubleArrayIterator( T[][] array) {
		if( array.length > 0 ) {
			size = array.length * array[0].length;
			width = array[0].length;
		} else
			size = 0;
		this.array = array;
	}

	public boolean hasNext() {
		if( index < size ) {
			next = array[index/width][index%width];
			index++;
			return true;
		} else
			return false;
	}

	public T next() {
		return next;
	}

	public void remove() {
		throw new UnsupportedOperationException( "Removing of array elements not supported." );
	}

}
