/**
 * PlayerColor.java
 * 
 */
package common.hive;

/**
 * An enumeration of the two players.
 * 
 * @author Jan-Philipp Kappmeier, Martin Gross
 */
public enum PlayerColor {
	/** The white player. */
	WHITE,
	/** The black player. */
	BLACK;

	/**
	 * Returns the other player's color.
	 * @return the other player's color.
	 */
	public final PlayerColor toggle() {
		return this == WHITE ? BLACK : WHITE;
	}
}
