/**
 * IntroductionNotification.java
 * Created: 11.03.2011, 14:59:40
 */
package common.notification;

import common.hive.HexDirection;
import common.hive.PlayerColor;


/**
 * An introduction notification used if a piece is introduced.
 * @author Jan-Philipp Kappmeier
 */
public class IntroductionNotification extends PieceNotification {
	/** The player that introduces a new piece. */
	private PlayerColor color;
	
	/**
	 * Creates the notification with the necessary data.
	 * @param pieceIndex the index of the piece that performs an action
	 * @param direction the direction of the target field starting at the anchor field
	 * @param anchorPiece the index on the piece on the anchor field.
	 * @param color the player color of the introducing piece
	 */
	public IntroductionNotification( int pieceIndex, HexDirection direction, int anchorPiece, PlayerColor color ) {
		super( pieceIndex, direction, anchorPiece );
		this.color = color;
	}

	/**
	 * Returns the color of the new piece.
	 * @return the color of the new piece
	 */
	public PlayerColor getColor() {
		return color;
	}
}
